Ajouter un article au panier
curl --request POST \
--url https://api.example.com/v1/store/cart/items \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"productSku": "mc-java-paper",
"quantity": 1,
"planId": "<string>",
"eggId": "<string>",
"configs": {
"ram": "4096",
"disk": "50"
}
}
'import requests
url = "https://api.example.com/v1/store/cart/items"
payload = {
"productSku": "mc-java-paper",
"quantity": 1,
"planId": "<string>",
"eggId": "<string>",
"configs": {
"ram": "4096",
"disk": "50"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
productSku: 'mc-java-paper',
quantity: 1,
planId: '<string>',
eggId: '<string>',
configs: {ram: '4096', disk: '50'}
})
};
fetch('https://api.example.com/v1/store/cart/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
API — Boutique
Ajouter un article au panier
POST
/
v1
/
store
/
cart
/
items
Ajouter un article au panier
Autorisations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Corps
application/json
SKU of the Product (or legacy Offer) to add to the cart.
Exemple:
"mc-java-paper"
Plage requise:
1 <= x <= 100Exemple:
1
ID of the billing Plan to use. When omitted, the product base price (or the first active plan, if the product has plans) is used.
Selected egg variant (software choice). Must be the product default egg or one of its eggVariants.
Selected config options keyed by configOptionId → chosen value (matching a choice value in the option's choices JSON array). Each selection adds its priceDeltaCents to the unit price.
Exemple:
{ "ram": "4096", "disk": "50" }
Réponse
201 - undefined
Sujets connexes
Boutique et panierRetirer un article du panierModifier un article du panierPayer tout le panier (multi-articles)Envoyer un lien de paiement au client (admin)